function GameMode:update()
	renderer:beginRender()
	nativeProfiler:beginFrame()

	Profiler.beginBlock("_Render")
	renderer:setViewport(self.viewport[1], self.viewport[2], self.viewport[3], self.viewport[4])
	renderer:renderScene(self.dummyScene, camera, nil, 0xffffffff)
	Profiler.endBlock()
	
	renderer:setRefractionBuffer(nil)
	
	Profiler.beginBlock("_RenderGui")
	ImmediateMode.beginDraw()
	
	-- TODO: draw menu
	
	ImmediateMode.endDraw()
	
	renderer:setViewport(0, 0, config.width, config.height)
	
	-- draw render stats
	if config.profiler or config.renderStats then
		ImmediateMode.beginDraw()
		self:drawRenderStats()
		ImmediateMode.endDraw()
	end
	
	NativeProfiler.endFrame()
	Profiler.draw()
	
	renderer:endRender()
	
	-- TODO: apply menu options:
	-- Continue: start burden of knowledge
	-- New Game: delete burden of knowledge save, then same as Continue
end
