-- made from samples from old Vibe mods
defineSound{
	name = "goddess_invoke",
	filename = "mod_assets/sounds/goddess_invoke.wav",
	loop = false,
	volume = 1,
}

-- made from samples from old Vibe mods
defineSound{
	name = "goddess_invoke_half",
	filename = "mod_assets/sounds/goddess_invoke_half.wav",
	loop = false,
	volume = 1,
}

-- made from samples from an old Butch mod, "Heaven number eight" or b_heaven.it
defineSound{
	name = "keypress",
	filename = "mod_assets/sounds/keypress.wav",
	loop = false,
	volume = 0.2,
}
defineSound{
	name = "keypress_delete",
	filename = "mod_assets/sounds/keypress_delete.wav",
	loop = false,
	volume = 0.2,
}

-- https://freesound.org/people/Andrewkn/sounds/502864/
defineAmbientTrack{
	name = "background",
	filename = "mod_assets/sounds/background.ogg",
	volume = 0.3,
}
defineAmbientTrack{
	name = "",
	filename = "mod_assets/sounds/background.ogg",
	volume = 0.0,
}

-- https://www.freesound.org/people/FreqMan/sounds/25842/
defineSound{
	name = "goddess_flip",
	filename = "mod_assets/sounds/stone_turn.wav",
	loop = false,
	volume = 1.0,
	minDistance = 0.4,
	maxDistance = 3,
}

-- goddess_invoke samples plus
-- https://www.freesound.org/people/robinhood76/sounds/92909/
-- https://freesound.org/people/BennettFilmTeacher/sounds/523785/
--
-- i think this is my first time using overcompressed sound...it feels wrong!
defineSound{
	name = "ceiling_destruction",
	filename = "mod_assets/sounds/ceiling_destruction.wav",
	loop = false,
	volume = 1.0,
}


local minDistance = 0.2
local maxDistance = 0.7
-- made from https://freesound.org/people/ocea/sounds/42986/
defineSound{
	name = "goddess_noise_1",
	filename = "mod_assets/sounds/goddess_noise_1.wav",
	loop = true,
	volume = 1.0,
	minDistance = minDistance,
	maxDistance = maxDistance,
}
-- made from a sample from an old Vesa Norilo mod, "Carra's Lament"
defineSound{
	name = "goddess_noise_2",
	filename = "mod_assets/sounds/goddess_noise_2.wav",
	loop = true,
	volume = 1.0,
	minDistance = minDistance,
	maxDistance = maxDistance,
}
-- made from samples from an old Vibe mod, "The E.V.E. Project"
defineSound{
	name = "goddess_noise_3",
	filename = "mod_assets/sounds/goddess_noise_3.wav",
	loop = true,
	volume = 1.0,
	minDistance = minDistance,
	maxDistance = maxDistance,
}
defineSound{
	name = "goddess_noise_4",
	filename = "mod_assets/sounds/goddess_noise_4.wav",
	loop = true,
	volume = 0.8,
	minDistance = minDistance,
	maxDistance = maxDistance,
}

defineSound{
	name = "goddess_noise_5",
	filename = "mod_assets/sounds/goddess_noise_5.wav",
	loop = true,
	volume = 1.0,
	minDistance = minDistance,
	maxDistance = maxDistance,
}

-- made from a sample from an old Nightbeat mod, "Miriel"
defineSound{
	name = "goddess_noise_7",
	filename = "mod_assets/sounds/goddess_noise_7.wav",
	loop = true,
	volume = 1.0,
	minDistance = minDistance,
	maxDistance = maxDistance,
}

-- made from scratch
defineSound{
	name = "goddess_noise_9",
	filename = "mod_assets/sounds/goddess_noise_9.wav",
	loop = true,
	volume = 0.8,
	minDistance = 0.4,
	maxDistance = 3,
}
