#version 150
#include "base.h"

in vec3 positionVarying;	// unused
in vec3 normalVarying;		// unused
in vec2 texcoordVarying;
in vec4 colorVarying;
in float pointID;

out vec4 fragColor;

uniform vec3 g_emissiveColor;
uniform vec2 g_invScreenSize;
uniform float g_time;
uniform float g_endTime;

void main()
{
	float sparkle = sin(fract(pointID+g_time*0.3)*M_PI);
	fragColor = vec4(colorVarying.xyz*sparkle, 1.0) * clamp(1.0+(pointID-g_endTime)*0.001, 0.0, 1.0);
}
