#version 150
#include "base.h"
#include "../../mod_assets/negative_light.h"

in vec3 positionVarying;	// unused
in vec3 normalVarying;		// unused
in vec2 texcoordVarying;

out vec4 fragColor;

uniform sampler2D g_diffuseMap;
uniform sampler2D g_lightBuffer;
uniform vec3 g_emissiveColor;
uniform vec2 g_invScreenSize;
uniform float g_time;

void main()
{
	vec4 diffuseColor = texture(g_diffuseMap, texcoordVarying);

	fragColor = vec4(resolveLight(g_emissiveColor,g_time),ceil(diffuseColor.w-0.5)); // alpha testing
}
